Subject: bug#753 closed by Glenn Morris <[email-masked]> (Re: bug#753: [Fwd: sh-script.el: indentation of ( )])

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#753: [Fwd: sh-script.el: indentation of ( )]

It has been closed by Glenn Morris <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Glenn Morris <[email-masked]> by
replying to this email.

-- 
753: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=753
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Sat Sep  6 12:01:06 2008
From: Glenn Morris <[email-masked]>
To: [email-masked]
Subject: Re: bug#753: [Fwd: sh-script.el: indentation of ( )]
Date: Sat, 06 Sep 2008 14:59:20 -0400

2008-09-06  Glenn Morris  <[email-masked]>

    * progmodes/sh-script.el (sh-get-kw): Remove '()' from the list of
      unallowed characters; added 2006-10-10 without comment.  (Bug#753)

>From [email-masked] Wed Aug 20 14:37:00 2008
Date: Wed, 20 Aug 2008 23:36:40 +0200
From: Daniel Pfeiffer <[email-masked]>
Reply-To: [email-masked]
To: [email-masked]
CC: Darren Stuart Embry <[email-masked]>
Subject: [Fwd: sh-script.el: indentation of ( )]

This is a multi-part message in MIME format.
--------------070605070605080903090106
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit

Hi,

since I abandoned Shell in favour of Perl, over to you maintainers:

-------- Original-Nachricht --------
Betreff: 	sh-script.el: indentation of ( )
Datum: 	Wed, 20 Aug 2008 12:12:12 -0400
Von: 	Darren Stuart Embry <[email-masked]>
An: 	Daniel Pfeiffer <[email-masked]>

Hello,

I'd like to report an issue regarding indentation of compound commands
surrounded with parenthesis.

Desired indentation:

	#!/bin/sh

	(
	    true
	)
	{
	    true
	}

What indent-region on the entire buffer yields:

	#!/bin/sh
	
	(
	    true
	    )
	{
	    true
	}

Note that the same behavior does not happen with the { } pair.

You have any idea why this is happening and/or how to fix this?

Version of emacs:
	GNU Emacs 22.2.1 (i486-pc-linux-gnu, X toolkit, Xaw3d scroll
	bars) of 2008-04-27 on raven, modified by Debian

Version of sh-script.el:
	;; Author: Daniel Pfeiffer <[email-masked]>
	;; Version: 2.0f

Thanks in advance.

-- 
A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing on usenet and in email?

coralament / best Grötens / liebe Grüße / best regards / elkorajn salutojn
Daniel Pfeiffer

-- 
lerne / learn / apprends / lär dig / ucz się    Esperanto:
                    http://lernu.net  /  http://ikurso.net

--------------070605070605080903090106
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: 8bit

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
</head>
<body bgcolor="#ffffff" text="#000000">
Hi,<br>
<br>
since I abandoned Shell in favour of Perl, over to you maintainers:<br>
<br>
-------- Original-Nachricht --------
<table class="moz-email-headers-table" border="0" cellpadding="0"
 cellspacing="0">
  <tbody>
    <tr>
      <th align="right" nowrap="nowrap" valign="baseline">Betreff: </th>
      <td>sh-script.el: indentation of ( )</td>
    </tr>
    <tr>
      <th align="right" nowrap="nowrap" valign="baseline">Datum: </th>
      <td>Wed, 20 Aug 2008 12:12:12 -0400</td>
    </tr>
    <tr>
      <th align="right" nowrap="nowrap" valign="baseline">Von: </th>
      <td>Darren Stuart Embry <a class="moz-txt-link-rfc2396E" href="mailto:[email-masked]">&lt;[email-masked]&gt;</a></td>
    </tr>
    <tr>
      <th align="right" nowrap="nowrap" valign="baseline">An: </th>
      <td>Daniel Pfeiffer <a class="moz-txt-link-rfc2396E" href="mailto:[email-masked]">&lt;[email-masked]&gt;</a></td>
    </tr>
  </tbody>
</table>
<br>
<br>
<pre>Hello,

I'd like to report an issue regarding indentation of compound commands
surrounded with parenthesis.

Desired indentation:

	#!/bin/sh

	(
	    true
	)
	{
	    true
	}

What indent-region on the entire buffer yields:

	#!/bin/sh
	
	(
	    true
	    )
	{
	    true
	}

Note that the same behavior does not happen with the { } pair.

You have any idea why this is happening and/or how to fix this?

Version of emacs:
	GNU Emacs 22.2.1 (i486-pc-linux-gnu, X toolkit, Xaw3d scroll
	bars) of 2008-04-27 on raven, modified by Debian

Version of sh-script.el:
	;; Author: Daniel Pfeiffer <a class="moz-txt-link-rfc2396E" href="mailto:[email-masked]">&lt;[email-masked]&gt;</a>
	;; Version: 2.0f

Thanks in advance.

-- 
A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing on usenet and in email?

</pre>
<br>
<pre class="moz-signature" cols="78">coralament / best Grötens / liebe Grüße / best regards / elkorajn salutojn
Daniel Pfeiffer

-- 
lerne / learn / apprends / lär dig / ucz się    Esperanto:
                    <a class="moz-txt-link-freetext" href="http://lernu.net">http://lernu.net</a>  /  <a class="moz-txt-link-freetext" href="http://ikurso.net">http://ikurso.net</a></pre>
</body>
</html>

--------------070605070605080903090106--